## org.hibernate.envers.synchronization
Class AuditProcess

    java.lang.Object
      org.hibernate.envers.synchronization.AuditProcess

All Implemented Interfaces:
  BeforeTransactionCompletionProcess

    public class AuditProcess

extends Object
implements BeforeTransactionCompletionProcess

Constructor Summary
`AuditProcess(RevisionInfoGenerator revisionInfoGenerator, SessionImplementor session)`

Method Summary
`void` `addWorkUnit(AuditWorkUnit vwu)`
`void` `doBeforeTransactionCompletion(SessionImplementor session)` Perform whatever processing is encapsulated here before completion of the transaction.
`Object` `getCurrentRevisionData(Session session, boolean persist)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditProcess

    public AuditProcess(RevisionInfoGenerator revisionInfoGenerator,
                        SessionImplementor session)

Method Detail

### addWorkUnit

    public void addWorkUnit(AuditWorkUnit vwu)

### getCurrentRevisionData

    public Object getCurrentRevisionData(Session session,
                                         boolean persist)

### doBeforeTransactionCompletion

    public void doBeforeTransactionCompletion(SessionImplementor session)

  Description copied from interface: `BeforeTransactionCompletionProcess`
  Perform whatever processing is encapsulated here before completion of the transaction.

  Specified by:
    `doBeforeTransactionCompletion` in interface `BeforeTransactionCompletionProcess`
  Parameters:
    `session` - The session on which the transaction is preparing to complete.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.